Open CASCADE Technology: Transfer_IteratorOfProcessForTransient Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Transfer_IteratorOfProcessForTransient Class Reference

`#include <Transfer_IteratorOfProcessForTransient.hxx>`

Inheritance diagram for Transfer_IteratorOfProcessForTransient:
[legend]

## Public Member Functions
| Transfer_IteratorOfProcessForTransient (const Standard_Boolean withstarts)
void | Add (const Handle< Transfer_Binder > &binder)
void | Add (const Handle< Transfer_Binder > &binder, const Handle< Standard_Transient > &start)
void | Filter (const Handle< TColStd_HSequenceOfTransient > &list, const Standard_Boolean keep=Standard_True)
Standard_Boolean | HasStarting () const
const Handle< Standard_Transient > & | Starting () const
Public Member Functions inherited from Transfer_TransferIterator
| Transfer_TransferIterator ()
| Creates an empty Iterator. More...
void | AddItem (const Handle< Transfer_Binder > &atr)
| Adds a Binder to the iteration list (construction) More...
void | SelectBinder (const Handle< Standard_Type > &atype, const Standard_Boolean keep)
| Selects Items on the Type of Binder : keep only Binders which are of a given Type (if keep is True) or reject only them (if keep is False) More...
void | SelectResult (const Handle< Standard_Type > &atype, const Standard_Boolean keep)
| Selects Items on the Type of Result. Considers only Unique Results. Considers Dynamic Type for Transient Result, Static Type (the one given to define the Binder) else. More...
void | SelectUnique (const Standard_Boolean keep)
| Select Items according Unicity : keep only Unique Results (if keep is True) or keep only Multiple Results (if keep is False) More...
void | SelectItem (const Standard_Integer num, const Standard_Boolean keep)
| Selects/Unselect (according to <keep> an item designated by its rank <num> in the list Used by sub-classes which have specific criteria. More...
Standard_Integer | Number () const
| Returns count of Binders to be iterated. More...
void | Start ()
| Clears Iteration in progress, to allow it to be restarted. More...
Standard_Boolean | More ()
| Returns True if there are other Items to iterate. More...
void | Next ()
| Sets Iteration to the next Item. More...
const Handle< Transfer_Binder > & | Value () const
| Returns the current Binder. More...
Standard_Boolean | HasResult () const
| Returns True if current Item brings a Result, Transient (Handle) or not or Multiple. That is to say, if it corresponds to a normally acheived Transfer, Transient Result is read by specific TransientResult below. Other kind of Result must be read specifically from its Binder. More...
Standard_Boolean | HasUniqueResult () const
| Returns True if Current Item has a Unique Result. More...
Handle< Standard_Type > | ResultType () const
| Returns the Type of the Result of the current Item, if Unique. If No Unique Result (Error Transfert or Multiple Result), returns a Null Handle The Type is : the Dynamic Type for a Transient Result, the Type defined by the Binder Class else. More...
Standard_Boolean | HasTransientResult () const
| Returns True if the current Item has a Transient Unique Result (if yes, use TransientResult to get it) More...
const Handle< Standard_Transient > & | TransientResult () const
| Returns the Transient Result of the current Item if there is (else, returns a null Handle) Supposes that Binding is done by a SimpleBinderOfTransient. More...
Transfer_StatusExec | Status () const
| Returns Execution Status of current Binder Normal transfer corresponds to StatusDone. More...
Standard_Boolean | HasFails () const
| Returns True if Fail Messages are recorded with the current Binder. They can then be read through Check (see below) More...
Standard_Boolean | HasWarnings () const
| Returns True if Warning Messages are recorded with the current Binder. They can then be read through Check (see below) More...
const Handle< Interface_Check > | Check () const
| Returns Check associated to current Binder (in case of error, it brings Fail messages) (in case of warnings, it brings Warning messages) More...

## Additional Inherited Members
Protected Attributes inherited from Transfer_TransferIterator
Standard_Integer | thecurr

## Constructor & Destructor Documentation

Transfer_IteratorOfProcessForTransient::Transfer_IteratorOfProcessForTransient | ( | const Standard_Boolean | withstarts | ) |

## Member Function Documentation

void Transfer_IteratorOfProcessForTransient::Add | ( | const Handle< Transfer_Binder > & | binder | ) |

void Transfer_IteratorOfProcessForTransient::Add | ( | const Handle< Transfer_Binder > & | binder,
|  | const Handle< Standard_Transient > & | start
| ) |  |

void Transfer_IteratorOfProcessForTransient::Filter | ( | const Handle< TColStd_HSequenceOfTransient > & | list,
|  | const Standard_Boolean | keep = `Standard_True`
| ) |  |

Standard_Boolean Transfer_IteratorOfProcessForTransient::HasStarting | ( |  | ) | const

const Handle< Standard_Transient >& Transfer_IteratorOfProcessForTransient::Starting | ( |  | ) | const

The documentation for this class was generated from the following file:

- Transfer_IteratorOfProcessForTransient.hxx